require_relative 'lib/digital_ocean_inventory/version'

Gem::Specification.new do |spec|
  spec.name          = "digital_ocean_inventory"
  spec.version       = DigitalOceanInventory::VERSION
  spec.authors       = ["Nick Hurst"]
  spec.email         = ["me@nickhurst.dev"]

  spec.summary       = %q{DigitalOcean Ansible Dynamic Inventory}
  spec.description   = %q{DigitalOcean Ansible Dynamic Inventory For Ansible Dynamic Inventory}
  spec.homepage      = "https://gitlab.com/swarm/ansible/digital_ocean_inventory"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://gitlab.com/swarm/ansible/digital_ocean_inventory"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "droplet_kit"

  spec.add_development_dependency "pry"
end
